extends Label

func _process(delta):
	var cpu = OS.get_processor_name()
	var cputhreads = OS.get_processor_count()
	var osname = OS.get_name()
	var screensize = OS.window_size
	var opengl2driver = OS.get_video_driver_name(OS.VIDEO_DRIVER_GLES2)
	var opengl3driver = OS.get_video_driver_name(OS.VIDEO_DRIVER_GLES3)
	var fps = Engine.get_frames_per_second()
	var lockedfps = Engine.target_fps
	var vsync = OS.vsync_enabled
	text = "CPU: " +str(cputhreads) + "x " +str(cpu) + " on "+ str(osname) +  "\n" +str(screensize) +"\nGPU: "+str(opengl2driver) +" " +str(opengl3driver) +"\n" +str(fps) + " fps / " +str(lockedfps) + " VSync Enabled: " +str(vsync)

func _ready():
	pass
